source: Makefile.in @ 134b86a

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsctordeferred_resndemanglerenumforall-pointer-decaygc_noraiijacob/cs343-translationjenkins-sandboxmemorynew-astnew-ast-unique-exprnew-envno_listpersistent-indexerpthread-emulationqualifiedEnumresolv-newstringwith_gc
Last change on this file since 134b86a was 51b7345, checked in by Peter A. Buhr <pabuhr@…>, 10 years ago

initial commit

  • Property mode set to 100644
File size: 13.6 KB
Line 
1# Makefile.in generated by automake 1.6.3 from Makefile.am.
2# @configure_input@
3
4# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
5# Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16SHELL = @SHELL@
17
18srcdir = @srcdir@
19top_srcdir = @top_srcdir@
20VPATH = @srcdir@
21prefix = @prefix@
22exec_prefix = @exec_prefix@
23
24bindir = @bindir@
25sbindir = @sbindir@
26libexecdir = @libexecdir@
27datadir = @datadir@
28sysconfdir = @sysconfdir@
29sharedstatedir = @sharedstatedir@
30localstatedir = @localstatedir@
31libdir = @libdir@
32infodir = @infodir@
33mandir = @mandir@
34includedir = @includedir@
35oldincludedir = /usr/include
36pkgdatadir = $(datadir)/@PACKAGE@
37pkglibdir = $(libdir)/@PACKAGE@
38pkgincludedir = $(includedir)/@PACKAGE@
39top_builddir = .
40
41ACLOCAL = @ACLOCAL@
42AUTOCONF = @AUTOCONF@
43AUTOMAKE = @AUTOMAKE@
44AUTOHEADER = @AUTOHEADER@
45
46am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
47INSTALL = @INSTALL@
48INSTALL_PROGRAM = @INSTALL_PROGRAM@
49INSTALL_DATA = @INSTALL_DATA@
50install_sh_DATA = $(install_sh) -c -m 644
51install_sh_PROGRAM = $(install_sh) -c
52install_sh_SCRIPT = $(install_sh) -c
53INSTALL_SCRIPT = @INSTALL_SCRIPT@
54INSTALL_HEADER = $(INSTALL_DATA)
55transform = @program_transform_name@
56NORMAL_INSTALL = :
57PRE_INSTALL = :
58POST_INSTALL = :
59NORMAL_UNINSTALL = :
60PRE_UNINSTALL = :
61POST_UNINSTALL = :
62
63EXEEXT = @EXEEXT@
64OBJEXT = @OBJEXT@
65PATH_SEPARATOR = @PATH_SEPARATOR@
66AMTAR = @AMTAR@
67AWK = @AWK@
68
69BACKEND_CC = @BACKEND_CC@
70CC = @CC@
71CFA_BINDIR = @CFA_BINDIR@
72CFA_LIBDIR = @CFA_LIBDIR@
73CFA_PREFIX = @CFA_PREFIX@
74CPP_PATH = @CPP_PATH@
75CXX = @CXX@
76DEPDIR = @DEPDIR@
77GCC_PATH = @GCC_PATH@
78INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
79LEX = @LEX@
80LEXLIB = @LEXLIB@
81LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
82PACKAGE = @PACKAGE@
83STRIP = @STRIP@
84VERSION = @VERSION@
85YACC = @YACC@
86am__include = @am__include@
87am__quote = @am__quote@
88install_sh = @install_sh@
89preludedir = @preludedir@
90SUBDIRS = translator driver libcfa
91
92# non-source files
93EXTRA_DIST = Docs
94subdir = .
95ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
96mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
97CONFIG_HEADER = config.h
98CONFIG_CLEAN_FILES = translator/Makefile driver/Makefile libcfa/Makefile
99DIST_SOURCES =
100
101RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
102        uninstall-info-recursive all-recursive install-data-recursive \
103        install-exec-recursive installdirs-recursive install-recursive \
104        uninstall-recursive check-recursive installcheck-recursive
105DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
106        Makefile.in NEWS acconfig.h aclocal.m4 config.h.in configure \
107        configure.in install-sh missing mkinstalldirs
108DIST_SUBDIRS = $(SUBDIRS)
109all: config.h
110        $(MAKE) $(AM_MAKEFLAGS) all-recursive
111
112.SUFFIXES:
113
114am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
115 configure.lineno
116$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
117        cd $(top_srcdir) && \
118          $(AUTOMAKE) --gnu  Makefile
119Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
120        cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
121
122$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
123        $(SHELL) ./config.status --recheck
124$(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
125        cd $(srcdir) && $(AUTOCONF)
126
127$(ACLOCAL_M4):  configure.in
128        cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
129
130config.h: stamp-h1
131        @if test ! -f $@; then \
132          rm -f stamp-h1; \
133          $(MAKE) stamp-h1; \
134        else :; fi
135
136stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
137        @rm -f stamp-h1
138        cd $(top_builddir) && $(SHELL) ./config.status config.h
139
140$(srcdir)/config.h.in:  $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/acconfig.h
141        cd $(top_srcdir) && $(AUTOHEADER)
142        touch $(srcdir)/config.h.in
143
144distclean-hdr:
145        -rm -f config.h stamp-h1
146translator/Makefile: $(top_builddir)/config.status $(top_srcdir)/translator/Makefile.in
147        cd $(top_builddir) && $(SHELL) ./config.status $@
148driver/Makefile: $(top_builddir)/config.status $(top_srcdir)/driver/Makefile.in
149        cd $(top_builddir) && $(SHELL) ./config.status $@
150libcfa/Makefile: $(top_builddir)/config.status $(top_srcdir)/libcfa/Makefile.in
151        cd $(top_builddir) && $(SHELL) ./config.status $@
152uninstall-info-am:
153
154# This directory's subdirectories are mostly independent; you can cd
155# into them and run `make' without going through this Makefile.
156# To change the values of `make' variables: instead of editing Makefiles,
157# (1) if the variable is set in `config.status', edit `config.status'
158#     (which will cause the Makefiles to be regenerated when you run `make');
159# (2) otherwise, pass the desired values on the `make' command line.
160$(RECURSIVE_TARGETS):
161        @set fnord $$MAKEFLAGS; amf=$$2; \
162        dot_seen=no; \
163        target=`echo $@ | sed s/-recursive//`; \
164        list='$(SUBDIRS)'; for subdir in $$list; do \
165          echo "Making $$target in $$subdir"; \
166          if test "$$subdir" = "."; then \
167            dot_seen=yes; \
168            local_target="$$target-am"; \
169          else \
170            local_target="$$target"; \
171          fi; \
172          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
173           || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
174        done; \
175        if test "$$dot_seen" = "no"; then \
176          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
177        fi; test -z "$$fail"
178
179mostlyclean-recursive clean-recursive distclean-recursive \
180maintainer-clean-recursive:
181        @set fnord $$MAKEFLAGS; amf=$$2; \
182        dot_seen=no; \
183        case "$@" in \
184          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
185          *) list='$(SUBDIRS)' ;; \
186        esac; \
187        rev=''; for subdir in $$list; do \
188          if test "$$subdir" = "."; then :; else \
189            rev="$$subdir $$rev"; \
190          fi; \
191        done; \
192        rev="$$rev ."; \
193        target=`echo $@ | sed s/-recursive//`; \
194        for subdir in $$rev; do \
195          echo "Making $$target in $$subdir"; \
196          if test "$$subdir" = "."; then \
197            local_target="$$target-am"; \
198          else \
199            local_target="$$target"; \
200          fi; \
201          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
202           || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
203        done && test -z "$$fail"
204tags-recursive:
205        list='$(SUBDIRS)'; for subdir in $$list; do \
206          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
207        done
208
209ETAGS = etags
210ETAGSFLAGS =
211
212tags: TAGS
213
214ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
215        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
216        unique=`for i in $$list; do \
217            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
218          done | \
219          $(AWK) '    { files[$$0] = 1; } \
220               END { for (i in files) print i; }'`; \
221        mkid -fID $$unique
222
223TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
224                $(TAGS_FILES) $(LISP)
225        tags=; \
226        here=`pwd`; \
227        list='$(SUBDIRS)'; for subdir in $$list; do \
228          if test "$$subdir" = .; then :; else \
229            test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
230          fi; \
231        done; \
232        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
233        unique=`for i in $$list; do \
234            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
235          done | \
236          $(AWK) '    { files[$$0] = 1; } \
237               END { for (i in files) print i; }'`; \
238        test -z "$(ETAGS_ARGS)$$tags$$unique" \
239          || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
240             $$tags $$unique
241
242GTAGS:
243        here=`$(am__cd) $(top_builddir) && pwd` \
244          && cd $(top_srcdir) \
245          && gtags -i $(GTAGS_ARGS) $$here
246
247distclean-tags:
248        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
249DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
250
251top_distdir = .
252distdir = $(PACKAGE)-$(VERSION)
253
254am__remove_distdir = \
255  { test ! -d $(distdir) \
256    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
257         && rm -fr $(distdir); }; }
258
259GZIP_ENV = --best
260distcleancheck_listfiles = find . -type f -print
261
262distdir: $(DISTFILES)
263        $(am__remove_distdir)
264        mkdir $(distdir)
265        $(mkinstalldirs) $(distdir)/driver $(distdir)/translator $(distdir)/libcfa
266        @list='$(DISTFILES)'; for file in $$list; do \
267          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
268          dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
269          if test "$$dir" != "$$file" && test "$$dir" != "."; then \
270            dir="/$$dir"; \
271            $(mkinstalldirs) "$(distdir)$$dir"; \
272          else \
273            dir=''; \
274          fi; \
275          if test -d $$d/$$file; then \
276            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
277              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
278            fi; \
279            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
280          else \
281            test -f $(distdir)/$$file \
282            || cp -p $$d/$$file $(distdir)/$$file \
283            || exit 1; \
284          fi; \
285        done
286        list='$(SUBDIRS)'; for subdir in $$list; do \
287          if test "$$subdir" = .; then :; else \
288            test -d $(distdir)/$$subdir \
289            || mkdir $(distdir)/$$subdir \
290            || exit 1; \
291            (cd $$subdir && \
292              $(MAKE) $(AM_MAKEFLAGS) \
293                top_distdir="$(top_distdir)" \
294                distdir=../$(distdir)/$$subdir \
295                distdir) \
296              || exit 1; \
297          fi; \
298        done
299        -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
300          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
301          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
302          ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
303        || chmod -R a+r $(distdir)
304dist-gzip: distdir
305        $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
306        $(am__remove_distdir)
307
308dist dist-all: distdir
309        $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
310        $(am__remove_distdir)
311
312# This target untars the dist file and tries a VPATH configuration.  Then
313# it guarantees that the distribution is self-contained by making another
314# tarfile.
315distcheck: dist
316        $(am__remove_distdir)
317        GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
318        chmod -R a-w $(distdir); chmod a+w $(distdir)
319        mkdir $(distdir)/=build
320        mkdir $(distdir)/=inst
321        chmod a-w $(distdir)
322        dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
323          && cd $(distdir)/=build \
324          && ../configure --srcdir=.. --prefix=$$dc_install_base \
325            $(DISTCHECK_CONFIGURE_FLAGS) \
326          && $(MAKE) $(AM_MAKEFLAGS) \
327          && $(MAKE) $(AM_MAKEFLAGS) dvi \
328          && $(MAKE) $(AM_MAKEFLAGS) check \
329          && $(MAKE) $(AM_MAKEFLAGS) install \
330          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
331          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
332          && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
333              || { echo "ERROR: files left after uninstall:" ; \
334                   find $$dc_install_base -type f -print ; \
335                   exit 1; } >&2 ) \
336          && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
337          && rm -f $(distdir).tar.gz \
338          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
339        $(am__remove_distdir)
340        @echo "$(distdir).tar.gz is ready for distribution" | \
341          sed 'h;s/./=/g;p;x;p;x'
342distcleancheck: distclean
343        if test '$(srcdir)' = . ; then \
344          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
345          exit 1 ; \
346        fi
347        test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
348          || { echo "ERROR: files left after distclean:" ; \
349               $(distcleancheck_listfiles) ; \
350               exit 1; } >&2
351check-am: all-am
352check: check-recursive
353all-am: Makefile config.h
354installdirs: installdirs-recursive
355installdirs-am:
356
357install: install-recursive
358install-exec: install-exec-recursive
359install-data: install-data-recursive
360uninstall: uninstall-recursive
361
362install-am: all-am
363        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
364
365installcheck: installcheck-recursive
366install-strip:
367        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
368          INSTALL_STRIP_FLAG=-s \
369          `test -z '$(STRIP)' || \
370            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
371mostlyclean-generic:
372
373clean-generic:
374
375distclean-generic:
376        -rm -f Makefile $(CONFIG_CLEAN_FILES)
377
378maintainer-clean-generic:
379        @echo "This command is intended for maintainers to use"
380        @echo "it deletes files that may require special tools to rebuild."
381clean: clean-recursive
382
383clean-am: clean-generic mostlyclean-am
384
385distclean: distclean-recursive
386        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
387distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
388
389dvi: dvi-recursive
390
391dvi-am:
392
393info: info-recursive
394
395info-am:
396
397install-data-am:
398
399install-exec-am:
400
401install-info: install-info-recursive
402
403install-man:
404
405installcheck-am:
406
407maintainer-clean: maintainer-clean-recursive
408        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
409        -rm -rf autom4te.cache
410maintainer-clean-am: distclean-am maintainer-clean-generic
411
412mostlyclean: mostlyclean-recursive
413
414mostlyclean-am: mostlyclean-generic
415
416uninstall-am: uninstall-info-am
417
418uninstall-info: uninstall-info-recursive
419
420.PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
421        clean-generic clean-recursive dist dist-all dist-gzip distcheck \
422        distclean distclean-generic distclean-hdr distclean-recursive \
423        distclean-tags distcleancheck distdir dvi dvi-am dvi-recursive \
424        info info-am info-recursive install install-am install-data \
425        install-data-am install-data-recursive install-exec \
426        install-exec-am install-exec-recursive install-info \
427        install-info-am install-info-recursive install-man \
428        install-recursive install-strip installcheck installcheck-am \
429        installdirs installdirs-am installdirs-recursive \
430        maintainer-clean maintainer-clean-generic \
431        maintainer-clean-recursive mostlyclean mostlyclean-generic \
432        mostlyclean-recursive tags tags-recursive uninstall \
433        uninstall-am uninstall-info-am uninstall-info-recursive \
434        uninstall-recursive
435
436# Tell versions [3.59,3.63) of GNU make to not export all variables.
437# Otherwise a system limit (for SysV at least) may be exceeded.
438.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.